%define name xmms-cube
%define version 1.0.0
%define release %mkrel 6
%define distsuffix plf

Summary: Gamecube audio plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: xmms-cube-1.0.0-regex-fix.patch
License: GPL
Group: Sound
Url: http://voidpointer.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: xmms-devel
BuildRequires: automake1.8
Requires: xmms

%description
xmms-cube is a port of the Winamp plugin in_cube. This plugin allows
you to play Gamecube streamed audio files. Supported types include
DSP, GCM, HPS, IDSP, SPT, SPD, MSS, MPDSP, ISH, YMF, ADX, ADX, RSD,
RSP, AST, and AFC.

This package is in PLF as Mandriva doesn't allow game console emulation.

%prep
%setup -q
%patch -p1

libtoolize --install --force
aclocal
autoconf
automake


%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/libcube.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog AUTHORS README NEWS
%_libdir/xmms/Input/libcube.so

%changelog
* Wed May  4 2011 Götz Waschk <goetz@zarb.org> 1.0.0-6
- fix build

* Thu Jan 28 2010 Götz Waschk <goetz@zarb.org> 1.0.0-5plf2010.1
- fix build

* Mon Jan 26 2009 Götz Waschk <goetz@zarb.org> 1.0.0-4plf2009.1
- fix build with a patch from Herton

* Thu Jan 24 2008 Götz Waschk <goetz@zarb.org> 1.0.0-3plf2008.1
- fix plf reason

* Mon Aug 28 2006 Götz Waschk <goetz@zarb.org> 1.0.0-2plf2007.0
- rebuild

* Mon Mar 27 2006 Götz Waschk <goetz@zarb.org> 1.0.0-1plf
- initial package
